curl --request GET \
--url https://api.altostrat.io/radius/migration/jobs/{jobId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "mig_job_01HGN7RXYZABC123",
"type": "dry-run",
"filename": "user_import_q4.csv",
"status": "completed",
"total_rows": 1000,
"processed_rows": 1000,
"created_count": 990,
"updated_count": 0,
"skipped_count": 5,
"error_count": 5,
"results_url": "<string>",
"summary": {
"total_rows": 123,
"created": 123,
"updated": 123,
"skipped": 123,
"errors": 123
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Retrieves the current status and progress of a specific migration job.
curl --request GET \
--url https://api.altostrat.io/radius/migration/jobs/{jobId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "mig_job_01HGN7RXYZABC123",
"type": "dry-run",
"filename": "user_import_q4.csv",
"status": "completed",
"total_rows": 1000,
"processed_rows": 1000,
"created_count": 990,
"updated_count": 0,
"skipped_count": 5,
"error_count": 5,
"results_url": "<string>",
"summary": {
"total_rows": 123,
"created": 123,
"updated": 123,
"skipped": 123,
"errors": 123
},
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Enter your API key in the format: Bearer
The unique identifier for the migration job, prefixed with mig_job_.
The current status of the migration job.
Show child attributes
"mig_job_01HGN7RXYZABC123"
dry-run, import "dry-run"
The original filename of the uploaded CSV.
"user_import_q4.csv"
queued, processing, validating, completed, failed "completed"
1000
1000
990
0
5
5
A pre-signed URL to download a log file of any errors that occurred. Only present if there are errors.
Was this page helpful?